Subject: Re: alternatives to site-locals? (Re: CONSENSUS CALL: DeprecatingSite-Local Addressing)

From: Dan Lanciani <[email-masked]>
Date: Thu, 3 Apr 2003 15:47:53 -0500 (EST)

Brian E Carpenter <[email-masked]> wrote:

|Dan Lanciani wrote:
|> 
|> Brian E Carpenter <[email-masked]> wrote:
|> 
|> |I think we should clear the desktop first, by getting rid of ambiguous
|> |site-local address space, and then discuss possible new solutions.
|> 
|> Could you explain why you think this is the correct order?  
|
|Because I can't see any other way of getting the WG out of
|its perpetual discussion loop on this topic.

Let me suggest a very simple way to do just that.  Stop trying to eliminate
site-locals and scoped addressing.  Instead, apply your efforts to defining
and standardizing the new/better mechanism(s) that will provide the same
functionality.  Once those new mechanisms have reached a level in the standards
process sufficient to make folks comfortable that they are not just temporary
diversions you will probably find it much easier to eliminate site-locals.

|If we can agree to deprecate ambiguous SLs, we can then
|invent a non-ambiguous replacement for the next version of the
|addressing architecture.

Agreeing to deprecate site-locals is neither necessary nor sufficient to allow
us to invent a replacement.  By implying this condition you are perpetuating
the discussion loop that you seek to break.

				Dan Lanciani
				ddl@danlan.*com

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------